<?php echo $header; ?>
<div id="content">
  <?php if ($error_warning) { ?>
  <div class="warning"><?php echo $error_warning; ?></div>
  <?php } ?>
  <?php if ($success) { ?>
  <div class="success"><?php echo $success; ?></div>
  <?php } ?>
  <div class="box">
    <div class="heading">
      <h1><img src="view/image/shipping.png" alt="" /> <?php echo $heading_title; ?></h1>
      <div class="buttons"><a onclick="location = '<?php echo $insert; ?>'" class="button"><span><?php echo $button_insert; ?></span><a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a></div>
    </div>
    <div class="content">
      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
        <table class="form">
          <tr>
            <td><?php echo $entry_status; ?></td>
            <td><select name="czechpost_status">
                <?php if ($czechpost_status) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select></td>
          </tr>
          <tr>
            <td><?php echo $entry_calculate; ?></td>
            <td><select name="czechpost_calculate">
                <?php if ($czechpost_calculate) { ?>
                <option value="1" selected="selected"><?php echo $text_weight; ?></option>
                <option value="0"><?php echo $text_price; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_weight; ?></option>
                <option value="0" selected="selected"><?php echo $text_price; ?></option>
                <?php } ?>
              </select></td>
          </tr>
          <tr>
            <td><?php echo $entry_sort_order; ?></td>
            <td><input type="text" name="czechpost_sort_order" value="<?php echo $czechpost_sort_order; ?>" size="1" /></td>
          </tr>
        </table>
      </form>
	    <table class="list">
	      <thead>
	        <tr>
	          <td class="left"><?php echo $column_name; ?></td>
	          <td class="left"><?php echo $column_description; ?></td>
	          <td class="right"><?php echo $column_sort_order; ?></td>
	          <td class="right"><?php echo $column_action; ?></td>
	        </tr>
	      </thead>
	      <tbody>
	        <?php if ($custom_services) { ?>
	        <?php foreach ($custom_services as $custom_service) { ?>
	        <tr>
	          <td class="left"><?php echo $custom_service['name']; ?></td>
	          <td class="left"><?php echo $custom_service['description']; ?></td> 
	          <td class="right"><?php echo $custom_service['sort_order']; ?></td>
	          <td class="right"><?php foreach ($custom_service['action'] as $action) { ?>
	            [ <a href="<?php echo $action['href']; ?>"><?php echo $action['text']; ?></a> ]
	            <?php } ?></td>
	        </tr>
	        <?php } ?>
	        <?php } else { ?>
	        <tr>
	          <td class="center" colspan="4"><?php echo $text_no_results; ?></td>
	        </tr>
	        <?php } ?>
	      </tbody>
	    </table>
    </div>
  </div>
</div>
<?php echo $footer; ?> 