<?php echo $header;?>
<div id="content">
	<?php if ($error_warning) {
	?>
	<div class="warning">
		<?php echo $error_warning;?>
	</div>
	<?php }?>
	<div class="box">
		<div class="heading">
			<h1>
			<img src="view/image/shipping.png" alt="" />
			<?php echo $heading_title;?>
			</h1>
			<div class="buttons">
				<a onclick="$('#form').submit();" class="button">
				<span>
					<?php echo $button_save;?>
				</span>
				</a>
				<a onclick="location = '<?php echo $cancel;?>';" class="button">
				<span>
					<?php echo $button_cancel;?>
				</span>
				</a>
			</div>
		</div>
		<div class="content">
			<div id="tabs" class="htabs"><a href="#tab-general"><?php echo $tab_general; ?></a><a href="#tab-data"><?php echo $tab_data; ?></a><a href="#tab-cod"><?php echo $tab_cod; ?></a></div>
			<form action="<?php echo $action;?>" method="post" enctype="multipart/form-data" id="form">
				<div id="tab-general">
					<div id="languages" class="htabs">
			            <?php foreach ($languages as $language) { ?>
			            <a href="#language<?php echo $language['language_id']; ?>"><img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /> <?php echo $language['name']; ?></a>
			            <?php } ?>
		          	</div>
		          	<?php foreach ($languages as $language) { ?>
		            <div id="language<?php echo $language['language_id']; ?>">
			            <table class="form">
			              <tr>
			                <td><span class="required">*</span> <?php echo $entry_name; ?></td>
			                <td><input type="text" name="custom_service_description[<?php echo $language['language_id']; ?>][name]" size="100" value="<?php echo isset($custom_service_description[$language['language_id']]) ? $custom_service_description[$language['language_id']]['name'] : ''; ?>" />
			                  <?php if (isset($error_name[$language['language_id']])) { ?>
			                  <span class="error"><?php echo $error_name[$language['language_id']]; ?></span>
			                  <?php } ?></td>
			              </tr>
			              <tr>
			                <td><?php echo $entry_description; ?></td>
			                <td><textarea name="custom_service_description[<?php echo $language['language_id']; ?>][description]" id="description<?php echo $language['language_id']; ?>"><?php echo isset($custom_service_description[$language['language_id']]) ? $custom_service_description[$language['language_id']]['description'] : ''; ?></textarea></td>
			              </tr>
			            </table>
			          </div>
			        <?php } ?>
				</div>
				<div id="tab-data">
					<table class="form">
						<tr>
							<td><?php echo $entry_price; ?></td>
             				<td><textarea name="price" /><?php echo $price; ?></textarea></td>
						</tr>
						<tr>
							<td>
							<?php echo $entry_tax;?>
							</td>
							<td>
							<select name="tax_class_id">
								<option value="0">
									<?php echo $text_none;?>
								</option>
								<?php foreach ($tax_classes as $tax_class) {
								?>
								<?php if ($tax_class['tax_class_id'] == $tax_class_id) {
								?>
								<option value="<?php echo $tax_class['tax_class_id'];?>" selected="selected">
									<?php echo $tax_class['title'];?>
								</option>
								<?php } else {?>
								<option value="<?php echo $tax_class['tax_class_id'];?>">
									<?php echo $tax_class['title'];?>
								</option>
								<?php }?>
								<?php }?>
							</select>
							</td>
						</tr>
						<tr>
							<td><?php echo $entry_real_service; ?></td>
							<td>
							<select name="real_service_id">
								<?php foreach ($real_services as $real_id => $real_service) {
								?>
								<?php if ($real_id == $real_service_id) {
								?>
								<option value="<?php echo $real_id;?>" selected="selected">
									<?php echo $real_service['name'];?>
								</option>
								<?php } else {?>
								<option value="<?php echo $real_id;?>">
									<?php echo $real_service['name'];?>
								</option>
								<?php }?>
								<?php }?>
							</select>
							</td>
						</tr>
						<tr>
							<td><?php echo $entry_customer_group; ?></td>
							<td><select name="customer_group_id">
			                    <?php foreach ($customer_groups as $customer_group) { ?>
			                    <?php if ($customer_group['customer_group_id'] == $customer_group_id) { ?>
			                    <option value="<?php echo $customer_group['customer_group_id']; ?>" selected="selected"><?php echo $customer_group['name']; ?></option>
			                    <?php } else { ?>
			                    <option value="<?php echo $customer_group['customer_group_id']; ?>"><?php echo $customer_group['name']; ?></option>
			                    <?php } ?>
			                    <?php } ?>
			                  </select>
		                	</td>
						</tr>
						<tr>
							<td>
							<?php echo $entry_geo_zone;?>
							</td>
							<td>
							<select name="geo_zone_id">
								<option value="0">
									<?php echo $text_all_zones;?>
								</option>
								<?php foreach ($geo_zones as $geo_zone) {
								?>
								<?php if ($geo_zone['geo_zone_id'] == $geo_zone_id) {
								?>
								<option value="<?php echo $geo_zone['geo_zone_id'];?>" selected="selected">
									<?php echo $geo_zone['name'];?>
								</option>
								<?php } else {?>
								<option value="<?php echo $geo_zone['geo_zone_id'];?>">
									<?php echo $geo_zone['name'];?>
								</option>
								<?php }?>
								<?php }?>
							</select>
							</td>
						</tr>
						<tr>
							<td>
							<?php echo $entry_sort_order;?>
							</td>
							<td>
							<input type="text" name="sort_order" value="<?php echo $sort_order;?>" size="1" />
							</td>
						</tr>
					</table>
				</div>
				<div id="tab-cod">
					<table class="form">
						<tr>
							<td><?php echo $entry_cod_price; ?></td>
             				<td><textarea name="cod_price" /><?php echo $cod_price; ?></textarea></td>
						</tr>
						<tr>
							<td><?php echo $entry_cod_service; ?></td>
							<td>
							<select name="cod_service_id">
								<?php foreach ($cod_services as $cod_id => $cod_service) {
								?>
								<?php if ($cod_id == $cod_service_id) {
								?>
								<option value="<?php echo $cod_id;?>" selected="selected">
									<?php echo $cod_service['name'];?>
								</option>
								<?php } else {?>
								<option value="<?php echo $cod_id;?>">
									<?php echo $cod_service['name'];?>
								</option>
								<?php }?>
								<?php }?>
							</select>
							</td>
						</tr>
						<tr>
							<td><?php echo $entry_order_status; ?></td>
       					    <td><select name="order_status_id">
                			<?php foreach ($order_statuses as $order_status) { ?>
                			<?php if ($order_status['order_status_id'] == $order_status_id) { ?>
               				<option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                			<?php } else { ?>
               				<option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                			<?php } ?>
                			<?php } ?>
              				</select></td>
						</tr>
					</table>
				</div>
			</form>
		</div>
	</div>
</div>
<script type="text/javascript"><!--
$('#tabs a').tabs(); 
$('#languages a').tabs();
//--></script> 
<?php echo $footer;?> 