<?php 
class ModelPaymentCzechPostCOD extends Model {
  	public function getMethod($address, $total) {
  		$method_data = array();
		
		if ($this->session->data['shipping_method']) {
			$shipping = $this->session->data['shipping_method'];
			
			$code = explode('.', $shipping['code']);
			
			if ($code[0] == 'czechpost') {
				$query = $this->db->query("SELECT cod_service_id, cod_price, order_status_id, tax_class_id FROM " . DB_PREFIX . "cp_custom_service WHERE id = " . (int)$code[1]);
				
				if ($query->row && !$query->row['cod_service_id'] == -1) {
					
		      		if ($this->config->get('czechpost_calculate') == '1' ) {
		      			$calculate = $this->cart->getWeight();
		      		} else {
		      			$calculate = $this->cart->getSubTotal();
		      		}
					
					$cost = 0;
					$rates = explode(',', $query->row['cod_price']);
			  		
			  		foreach ($rates as $rate) {
		  				$data = explode(':', $rate);
			  				if ($data[0] >= $calculate) {
								if (isset($data[1])) {
	 								$cost = $data[1];
		  						}
			  				break;
				 		}
				 	}
					
					if ($cost) {
						$this->load->language('payment/czechpost_cod');	
						
						$method_data = array( 
			        		'code'       		=> 'czechpost_cod',
			        		'title'      		=> $this->language->get('text_title'),
			        		'cost'       		=> $cost,
			        		'tax_class_id' 		=> $query->row['tax_class_id'],
							'text'         		=> $this->currency->format($this->tax->calculate($cost, $query->row['tax_class_id'], $this->config->get('config_tax'))),
							'sort_order' 		=> $this->config->get('czechpost_cod_sort_order'),
							'cod_service_id'	=> $query->row['cod_service_id'],
							'order_status_id'	=> $query->row['order_status_id']
			      		);
					}
				}
			}
		}

		return $method_data;
  	}
}
?>